Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.notification.event
Class TransactionCompletedEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.cache.pojo.notification.event.Event
              org.jboss.cache.pojo.notification.event.TransactionCompletedEvent

All Implemented Interfaces:
  Serializable

    public final class TransactionCompletedEvent

extends Event

A notification that indicates a transaction completed.

Author:
  Jason T. Greene
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionCompletedEvent(NotificationContext context, boolean successful, boolean local)`

Method Summary
`Transaction` | `getSource()`
`boolean` | `isSuccessful()` Whether or not the transaction was successful.

Methods inherited from class org.jboss.cache.pojo.notification.event.Event
`getContext, isLocal`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionCompletedEvent

    public TransactionCompletedEvent(NotificationContext context,
                                     boolean successful,
                                     boolean local)

Method Detail

### getSource

    public Transaction getSource()

  Overrides:
    `getSource` in class `EventObject`

### isSuccessful

    public boolean isSuccessful()

  Whether or not the transaction was successful.

  Returns:
    success boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.